#!/bin/sh

# $FreeBSD: ports/misc/kde4-xdg-env/files/xdg-env.sh.in,v 1.5 2008/08/09 16:52:18 miwi Exp $
#
# Submit missing XDG-file locations to kde@freebsd.org!

XDG_CONFIG_DIRS=\
${XDG_CONFIG_DIRS}:/etc/xdg:/usr/local/etc/xdg:/usr/local/etc/xdg/xfce4

if [ /usr/local/kde4 != /usr/local ]; then
    XDG_CONFIG_DIRS=/usr/local/kde4/etc/xdg:${XDG_CONFIG_DIRS}
fi

export XDG_CONFIG_DIRS

XDG_DATA_DIRS=\
${XDG_DATA_DIRS}:/usr/share:/usr/local/share:/usr/local/share/gnome

if [ /usr/local/kde4 != /usr/local ]; then
    XDG_DATA_DIRS=/usr/local/kde4/share:${XDG_DATA_DIRS}
fi

export XDG_DATA_DIRS

kbuildsycoca4
